.card-container {
    width: 100%;
    position: relative;
    background: url(background.jpg);
    background-size: cover;
    background-position: 50% 50%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    align-content: center;    
    height: 500px;
    margin: 20px 0;
}
.card-container:after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.5);
}
.card-container .card {
    margin: -20px 20px;
    width: 300px;
}
.card-container .card .face {
    width: 100%;
    height: 200px;
    transition: 0.5s;
    background: #FFF;
    overflow: hidden;
}
.card-container .card .face-1 {
    position: relative;
    z-index: 2;
    transform: translateY(50px);
    box-shadow: 0 4px 12px rgba(0,0,0,0.2), 0 16px 20px rgba(0,0,0,0.2);
}
.card-container .card:hover .face-1 {
    transform: translateY(0);
}
.card-container .card .face-1 img {
    filter: brightness(0.8);
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: 0.5s;
}
.card-container .card:hover .face-1 img {
    filter: brightness(1)
}
.card-container .card .face-1 h3 {
    padding: 10px 0;
    margin: 0;
    position: absolute;
    bottom: 0;
    left: 0;
    background: rgba(0,0,0,0.5);
    color: #FFF;
    width: 100%;
    color: #fff;
    text-align: center;
    font-family: 'Roboto', sans-serif;
    text-transform: uppercase;
    font-size: 18px;
    letter-spacing: 1px;
}
.card-container .card .face-2 {
    position: relative;
    z-index: 1;
    opacity: 0;
    background: #fff;
    padding: 20px 20px 10px;
    box-sizing: border-box;
    box-shadow: 0 4px 12px rgba(0,0,0,0.2), 0 16px 20px rgba(0,0,0,0.2);
    transform: translateY(-100px);
    height: 100px;
    transition: 0.5s;
}
.card-container .card:hover .face-2 {
    transform: translateY(0);
    opacity: 1;
}
.card-container .card:nth-child(1):hover .face-2 {
    height: var(--face_height_1);
}
.card-container .card:nth-child(2):hover .face-2 {
    height: var(--face_height_2);
}
.card-container .card:nth-child(3):hover .face-2 {
    height: var(--face_height_3);
}
.card-container .card .face-2 p {
    margin: 0;
    padding: 0 0 10px;
    font-size: 15px;
    line-height: 1.3;
    font-family: Verdana, sans-serif; 
}
@media screen and (max-width: 696px) {
    .card-container {
        margin: 140px 0;
    }
}